Loading...
Searching...
No Matches
RDKit::GeneralMolSupplier Namespace Reference

## Classes

struct | SupplierOptions

## Functions

void | determineFormat (const std::string path, std::string &fileFormat, std::string &compressionFormat)
std::unique_ptr< FileParsers::MolSupplier > | getSupplier (const std::string &path, const struct SupplierOptions &opt)

## Variables

const std::vector< std::string > | supportedFileFormats
| current supported file formats
const std::vector< std::string > | supportedCompressionFormats {"gz"}
| current supported compression formats

## Function Documentation

## determineFormat()

void RDKit::GeneralMolSupplier::determineFormat | ( | const std::string | path,
|  | std::string & | fileFormat,
|  | std::string & | compressionFormat
| ) |  |

inline

given file path determines the file and compression format returns true on success, otherwise false Note: Error handeling is done in the getSupplier method

filename without compression format

Special case maegz. NOTE: also supporting case-insensitive filesystems

Definition at line 55 of file GeneralFileReader.h.

References RDKit::rdvalue_is(), and supportedFileFormats.

Referenced by getSupplier().

## getSupplier()

std::unique_ptr< FileParsers::MolSupplier > RDKit::GeneralMolSupplier::getSupplier | ( | const std::string & | path,
|  | const struct SupplierOptions & | opt
| ) |  |

inline

returns a new MolSupplier object based on the file name instantiated with the relevant options provided in the SupplierOptions struct

Note:

- the caller owns the memory and therefore the pointer must be deleted

get the file and compression format form the path

Dispatch to the appropriate supplier

Definition at line 99 of file GeneralFileReader.h.

References RDKit::v2::FileParsers::SmilesMolSupplierParams::delimiter, determineFormat(), RDKit::getNumThreadsToUse(), RDKit::v2::FileParsers::TDTMolSupplierParams::nameRecord, RDKit::rdvalue_is(), and RDKit::v2::FileParsers::MolFileParserParams::sanitize.

## Variable Documentation

## supportedCompressionFormats

const std::vector<std::string> RDKit::GeneralMolSupplier::supportedCompressionFormats {"gz"}

current supported compression formats

Definition at line 49 of file GeneralFileReader.h.

## supportedFileFormats

const std::vector<std::string> RDKit::GeneralMolSupplier::supportedFileFormats

Initial value:
{
"sdf", "mae", "maegz", "sdfgz", "smi", "csv", "txt", "tsv", "tdt"}

current supported file formats

Definition at line 46 of file GeneralFileReader.h.

Referenced by determineFormat().